Index: tmp/org.txm.setups/BuildLinux64bit.sh
===================================================================
--- tmp/org.txm.setups/BuildLinux64bit.sh	(revision 816)
+++ tmp/org.txm.setups/BuildLinux64bit.sh	(revision 817)
@@ -22,12 +22,16 @@
 	exit 1;
 fi
 
-# ensure JRE files are here
-if [ ! -d "shared/debian/usr/lib/TXM/jre/bin" ]; then
-	echo "** $APP: JRE files are missing."
+# remove old profile that can contains unwanted repositories
+rm -f "exportRCP/linux.gtk.${ARCHCODE}/TXM/p2/org.eclipse.equinox.p2.engine/.settings/*" &&
+rm -f "exportRCP/linux.gtk.${ARCHCODE}/TXM/p2/org.eclipse.equinox.p2.engine/profileRegistry/profile.profile/.data/.settings/*"
+if [ $? != 0 ]; then
+	echo "** $APP: failed to remove p2 preferences"
 	exit 1;
 fi
 
+mkdir -p "$APP/usr/lib/TXM"
+
 # copy debian shared files: INSTALL, R libs...
 rsync -r  --exclude '.svn' shared/debian/* "$APP"
 if [ $? != 0 ]; then
@@ -42,14 +46,6 @@
 	exit 1;
 fi
 
-# remove old profile that can contains unwanted repositories
-rm -f "exportRCP/linux.gtk.${ARCHCODE}/TXM/p2/org.eclipse.equinox.p2.engine/.settings/*" &&
-rm -f "exportRCP/linux.gtk.${ARCHCODE}/TXM/p2/org.eclipse.equinox.p2.engine/profileRegistry/profile.profile/.data/.settings/*"
-if [ $? != 0 ]; then
-	echo "** $APP: failed to remove p2 preferences"
-	exit 1;
-fi
-
 # copy eclise arch dependent build
 rsync -r  --exclude '.svn' "exportRCP/linux.gtk.${ARCHCODE}/TXM" "$APP/usr/lib"
 if [ $? != 0 ]; then
@@ -65,30 +61,30 @@
 fi
 
 # for multi installation: set the package version to txm-$VERSION
-find "$APP/DEBIAN/preinst" -type f -exec sed -i "s/\/usr\/lib\/TXM/\/usr\/lib\/TXM_$VERSION/g" {} \;
-find "$APP/DEBIAN/preinst" -type f -exec sed -i "s/\/usr\/bin\/TXM/\/usr\/bin\/TXM_$VERSION/g" {} \;
-find "$APP/DEBIAN/preinst" -type f -exec sed -i "s/\/usr\/share\/TXM/\/usr\/share\/TXM_$VERSION/g" {} \;
-find "$APP/DEBIAN/preinst" -type f -exec sed -i "s/\/usr\/share\/applications\/TXM.desktop/\/usr\/share\/applications\/TXM_$VERSION.desktop/g" {} \;
-find "$APP/DEBIAN/preinst" -type f -exec sed -i "s/\/usr\/share\/applications\/TXM debug.desktop/\/usr\/share\/applications\/TXM_$VERSION debug.desktop/g" {} \;
+find "$APP/DEBIAN/preinst" -type f -exec sed -i "s/\/usr\/lib\/TXM/\/usr\/lib\/TXM-$VERSION/g" {} \;
+find "$APP/DEBIAN/preinst" -type f -exec sed -i "s/\/usr\/bin\/TXM/\/usr\/bin\/TXM-$VERSION/g" {} \;
+find "$APP/DEBIAN/preinst" -type f -exec sed -i "s/\/usr\/share\/TXM/\/usr\/share\/TXM-$VERSION/g" {} \;
+find "$APP/DEBIAN/preinst" -type f -exec sed -i "s/\/usr\/share\/applications\/TXM.desktop/\/usr\/share\/applications\/TXM-$VERSION.desktop/g" {} \;
+find "$APP/DEBIAN/preinst" -type f -exec sed -i "s/\/usr\/share\/applications\/TXM debug.desktop/\/usr\/share\/applications\/TXM-$VERSION debug.desktop/g" {} \;
 find "$APP/DEBIAN/preinst" -type f -exec sed -i "s/\/usr\/share\/doc\/txm/\/usr\/share\/doc\/txm-$VERSION/g" {} \;
 find "$APP/DEBIAN/preinst" -type f -exec sed -i "s/\/usr\/share\/lintiant\/overrides\/txm/\/usr\/share\/lintiant\/overrides\/txm-$VERSION/g" {} \;
-find "$APP/DEBIAN/postinst" -type f -exec sed -i "s/\/usr\/lib\/TXM/\/usr\/lib\/TXM_$VERSION/g" {} \;
+find "$APP/DEBIAN/postinst" -type f -exec sed -i "s/\/usr\/lib\/TXM/\/usr\/lib\/TXM-$VERSION/g" {} \;
 find "$APP/DEBIAN/postinst" -type f -exec sed -i "s/TXM\&/TXM-{VERSION}\&/g" {} \;
 find "$APP/DEBIAN/control" -type f -exec sed -i "s/Package: txm/Package: txm-${VERSION}/g" {} \;
-find "$APP/usr/bin/TXM" -type f -exec sed -i "s/\/usr\/lib\/TXM/\/usr\/lib\/TXM_$VERSION/g" {} \;
-find "$APP/usr/bin/TXM" -type f -exec sed -i "s/\$HOME\/TXM/\$HOME\/TXM_$VERSION/g" {} \;
-mv "$APP/usr/bin/TXM" "$APP/usr/bin/TXM_$VERSION"
-mv "$APP/usr/lib/TXM" "$APP/usr/lib/TXM_$VERSION"
-find "$APP/usr/share/applications/TXM.desktop" -type f -exec sed -i "s/\/usr\/share\/TXM/\/usr\/share\/TXM_$VERSION/g" {} \;
-find "$APP/usr/share/applications/TXM.desktop" -type f -exec sed -i "s/\/usr\/bin\/TXM/\/usr\/bin\/TXM_$VERSION/g" {} \;
-find "$APP/usr/share/applications/TXM debug.desktop" -type f -exec sed -i "s/\/usr\/share\/TXM/\/usr\/share\/TXM_$VERSION/g" {} \;
-find "$APP/usr/share/applications/TXM debug.desktop" -type f -exec sed -i "s/\/usr\/bin\/TXM/\/usr\/bin\/TXM_$VERSION/g" {} \;
-mv "$APP/usr/share/applications/TXM.desktop" "$APP/usr/share/applications/TXM_$VERSION.desktop"
-mv "$APP/usr/share/applications/TXM debug.desktop" "$APP/usr/share/applications/TXM_$VERSION debug.desktop"
+find "$APP/usr/bin/TXM" -type f -exec sed -i "s/\/usr\/lib\/TXM/\/usr\/lib\/TXM-$VERSION/g" {} \;
+find "$APP/usr/bin/TXM" -type f -exec sed -i "s/\$HOME\/TXM/\$HOME\/TXM-$VERSION/g" {} \;
+mv "$APP/usr/bin/TXM" "$APP/usr/bin/TXM-$VERSION"
+mv "$APP/usr/lib/TXM" "$APP/usr/lib/TXM-$VERSION"
+find "$APP/usr/share/applications/TXM.desktop" -type f -exec sed -i "s/\/usr\/share\/TXM/\/usr\/share\/TXM-$VERSION/g" {} \;
+find "$APP/usr/share/applications/TXM.desktop" -type f -exec sed -i "s/\/usr\/bin\/TXM/\/usr\/bin\/TXM-$VERSION/g" {} \;
+find "$APP/usr/share/applications/TXM debug.desktop" -type f -exec sed -i "s/\/usr\/share\/TXM/\/usr\/share\/TXM-$VERSION/g" {} \;
+find "$APP/usr/share/applications/TXM debug.desktop" -type f -exec sed -i "s/\/usr\/bin\/TXM/\/usr\/bin\/TXM-$VERSION/g" {} \;
+mv "$APP/usr/share/applications/TXM.desktop" "$APP/usr/share/applications/TXM-$VERSION.desktop"
+mv "$APP/usr/share/applications/TXM debug.desktop" "$APP/usr/share/applications/TXM-$VERSION debug.desktop"
 mv "$APP/usr/share/doc/txm" "$APP/usr/share/doc/txm-$VERSION"
 find "$APP/usr/share/lintian/overrides/txm" -type f -exec sed -i "s/txm binary/txm-$VERSION binary/g" {} \;
 mv "$APP/usr/share/lintian/overrides/txm" "$APP/usr/share/lintian/overrides/txm-$VERSION"
-mv "$APP/usr/share/TXM" "$APP/usr/share/TXM_$VERSION"
+mv "$APP/usr/share/TXM" "$APP/usr/share/TXM-$VERSION"
 
 # build
 sudo fakeroot dpkg-deb --build "$APP"
Index: tmp/org.txm.core.tests/src/org/txm/core/tests/junit/TXMPluginTest.java
===================================================================
--- tmp/org.txm.core.tests/src/org/txm/core/tests/junit/TXMPluginTest.java	(revision 816)
+++ tmp/org.txm.core.tests/src/org/txm/core/tests/junit/TXMPluginTest.java	(revision 817)
@@ -82,7 +82,7 @@
 	}
 
 	/**
-	 * All Test must starts with "super.test();" Usually ou don't need to Override this method
+	 * All Test must starts with "super.test();" Usually you don't need to Override this method
 	 */
 	@Test
 	public void test() {
Index: tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java
===================================================================
--- tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java	(revision 816)
+++ tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java	(revision 817)
@@ -937,7 +937,7 @@
 
 		// Query Area: query itself + view properties
 		queryArea = new Composite(controlArea, SWT.NONE);
-		queryArea.setLayoutData(new GridData(SWT.FILL, SWT.TOP, true, true));
+		queryArea.setLayoutData(new GridData(SWT.FILL, SWT.TOP, true, false));
 		queryArea.setLayout(new GridLayout(4, false));
 
 		////////////////////////////////
@@ -945,7 +945,7 @@
 		//////////////////////////////////
 
 		navigationArea = new Composite(controlArea, SWT.NONE);
-		navigationArea.setLayoutData(new GridData(SWT.FILL, SWT.TOP, true, true));
+		navigationArea.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, true, true));
 		GridLayout navigationLayout = new GridLayout(7, false); 
 		navigationLayout.verticalSpacing = 0;
 		navigationLayout.marginWidth = 0;
@@ -957,7 +957,7 @@
 		// Query:
 		getMainParametersComposite().getLayout().numColumns = 2;
 		// make
-		getMainParametersComposite().setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, false));
+		getMainParametersComposite().setLayoutData(new GridData(GridData.FILL, GridData.CENTER, true, false));
 		
 		queryLabel = new Label(getMainParametersComposite(), SWT.NONE);
 		queryLabel.setText(TXMUIMessages.CreateSubcorpusDialog_10);
@@ -966,7 +966,7 @@
 		// [ (v)]
 		// queryWidget = new QueryWidget(queryArea, SWT.DROP_DOWN);
 		queryWidget = new AssistedQueryWidget(getMainParametersComposite(), SWT.DROP_DOWN, concordance.getCorpus());
-		queryWidget.setLayoutData(new GridData(SWT.FILL, SWT.FILL, true, false));
+		queryWidget.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, true, false));
 		queryWidget.addKeyListener(new ComputeKeyListener(this));
 
 		// hide the parameters panel
@@ -1155,7 +1155,7 @@
 		navigationAreaComposite.setLayoutData(new GridData(SWT.FILL, SWT.FILL, true, false));
 	
 		navigationWidget = new NavigationWidget(navigationAreaComposite, SWT.NONE);
-		navigationWidget.setLayoutData(new GridData(SWT.CENTER, SWT.FILL, true, false));
+		navigationWidget.setLayoutData(new GridData(SWT.CENTER, SWT.CENTER, true, false));
 
 		// | [|<] [<] infos [>] [>|] |
 		// [|<]
Index: tmp/org.txm.information.core/src/org/txm/properties/core/functions/Properties.java
===================================================================
--- tmp/org.txm.information.core/src/org/txm/properties/core/functions/Properties.java	(revision 816)
+++ tmp/org.txm.information.core/src/org/txm/properties/core/functions/Properties.java	(revision 817)
@@ -54,6 +54,7 @@
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.CorpusManager;
+import org.txm.searchengine.cqp.corpus.MainCorpus;
 import org.txm.searchengine.cqp.corpus.Property;
 import org.txm.searchengine.cqp.corpus.StructuralUnit;
 import org.txm.searchengine.cqp.corpus.StructuralUnitProperty;
@@ -608,7 +609,11 @@
 		this.worked(1);
 		
 		String txmhome = TXMPreferences.getString(TBXPreferences.USER_TXM_HOME, TBXPreferences.PREFERENCES_NODE);
-		String filename = corpus.getParent().getName() + "-" + corpus.getName(); //$NON-NLS-1$
+		String filename = corpus.getMainCorpus() + "-" + corpus.getName(); //$NON-NLS-1$
+		if (corpus instanceof MainCorpus) {
+			filename = corpus.getName(); //$NON-NLS-1$
+		}
+		
 		filename = AsciiUtils.buildId(filename);
 		file = new File(txmhome, "results/" + filename + "-infos.html"); //$NON-NLS-1$ //$NON-NLS-2$
 		
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/AssistedQueryWidget.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/AssistedQueryWidget.java	(revision 816)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/AssistedQueryWidget.java	(revision 817)
@@ -38,6 +38,7 @@
 import org.eclipse.swt.widgets.Composite;
 import org.txm.rcp.IImageKeys;
 import org.txm.rcp.messages.TXMUIMessages;
+import org.txm.rcp.swt.GLComposite;
 import org.txm.rcp.swt.dialog.QueryAssistDialog;
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.query.Query;
@@ -65,11 +66,11 @@
 	 */
 	public AssistedQueryWidget(Composite parent, int style, final Corpus corpus) {
 		super(parent, SWT.NONE);
-		this.setLayout(new GridLayout(2, false));
+		this.setLayout(GLComposite.createDefaultLayout(2));
 
 		magicstick = new Button(this, SWT.PUSH);
-		magicstick.setLayoutData(new GridData(GridData.FILL, GridData.FILL,
-				false, true));
+		magicstick.setLayoutData(new GridData(GridData.FILL, GridData.CENTER,
+				false, false));
 		magicstick.setImage(IImageKeys.getImage(IImageKeys.ACTION_ASSISTQUERY));
 		magicstick.setToolTipText(TXMUIMessages.AssistedQueryWidget_0);
 		magicstick.addSelectionListener(new SelectionListener() {
@@ -86,7 +87,7 @@
 		});
 
 		querywidget = new QueryWidget(this, style);
-		querywidget.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, true));
+		querywidget.setLayoutData(new GridData(GridData.FILL, GridData.CENTER, true, false));
 	}
 	
 	public boolean setFocus() {
